### Signal

# Gtk EventControllerKey::key-released

#### Declaration

    void
    key_released (
      GtkEventControllerKey self,
      guint keyval,
      guint keycode,
      GdkModifierType state,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a key is released.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`keyval` | `guint`
| The released key.
`keycode` | `guint`
| The raw code of the released key.
`state` | `GdkModifierType`
| The bitmask, representing the state of modifier keys and pointer buttons. See `GdkModifierType`.